DNF5-DOWNLOAD(8)

BEZEICHNUNG
dnf5-download - Download-Befehl

ÜBERSICHT

dnf5 download [Optionen] [Paketangabe-NPFB …]

BESCHREIBUNG

Der download-Befehl in DNF5 wird zum Herunterladen von Binär- und Quellpaketen ins aktuelle Arbeitsverzeichnis verwendet. Die herunterzuladenden Pakete werden in den Paketangabe-NPFB-Argumenten angegeben.

OPTIONEN

--arch
    lädt nur Pakete der angegebenen Architekturen herunter. Dies kann mehrmals verwendet werden.

--resolve
    löst die Abhängigkeiten der angegebenen Pakete auf und lädt die fehlenden herunter.

--alldeps
    lädt bei Verwendung mit --resolve alle Abhängigkeiten herunter, auch die bereits installierter Pakete.

--from-repo=PAKETQUELLEN-ID, …
    sucht Pakete (oder deren Bereitstellungen), die explizit in der Befehlszeile angegeben werden, nur in den angegebenen Paketquellen. Diese Paketquellen sind automatisch aktiviert. Die Aktivierung und Deaktivierung von Paketquellen wird weiterhin berücksichtigt. Abhängigkeiten dieser Pakete werden aus jeder aktivierten Paketquelle aufgelöst.

--destdir=<Pfad>
    gibt das Verzeichnis an, in das Pakete heruntergeladen werden. Standardmäßig ist es das aktuelle Arbeitsverzeichnis.

--skip-unavailable
    ermöglicht das Überspringen von Paketen, die in den Paketquellen nicht verfügbar sind. Alle verfügbaren Pakete werden heruntergeladen.

--srpm
    lädt das Quell-RPM-Paket herunter. Dadurch werden die Quell-Paketquellen aller aktivierten Binärpaketquellen aktiviert.

--url
    gibt die Liste der URLs aus, von wo die RPM-Pakete heruntergeladen werden können, anstatt sie tatsächlich herunterzuladen.

--urlprotocol
    wird zusammen mit --url verwendet. Es filtert die URLs anhand der angegebenen Protokolle: http, https, ftp oder file. Diese Option kann mehrfach verwendet werden.

--allmirrors
    wird zusammen mit --url verwendet. Es gibt die URLs von allen verfügbaren Spiegelservern für jedes Paket aus, durch Leerzeichen getrennt.

BEISPIELE

dnf5 download kernel-headers-0:5.17.0-300.fc36.i686
    lädt das im vollständigen NEVRA-Format angegebene Paket kernel-headers herunter.

dnf5 download rpm rpm-devel
    lädt alle Pakete mit dem Namen rpm oder rpm-devel herunter.

dnf5 download maven-compiler-plugin --resolve --alldeps
    lädt das Paket maven-compiler-plugin mit allen seinen Abhängigkeiten herunter.

dnf5 download --destdir /tmp/Meine_Pakete maven-compiler-plugin
    lädt das Paket  maven-compiler-plugin in das Verzeichnis /tmp/Meine_Pakete herunter.

dnf5 download --url --urlprotocol http python
    zeigt die HTTP-URL zum Herunterladen des Pakets python an.

dnf5 download python --arch x86_64
    lädt das Paket python für die Architektur x86_64 herunter.

dnf5 download dnf5 --srpm
    lädt das Quellpaket von dnf5 herunter.

SIEHE AUCH
dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.